<?php
session_start();
if (!isset($_SESSION['idUsuarioLogado'])) {
	header("location: ./");
}
include_once("header.php");
$usuarioLogado = $_SESSION['idUsuarioLogado'];
?>

<div class="app-content content" style='background-color:#e1e9e7;'>
	<div class="content-wrapper" style='padding:10px;'>
		<section id="ordering">
			<div class="row">
				<div class="col-12">
					<div class="card" style='border:gray 1px solid;' id="card-tela">
						<div class="card-header titulo-telas">
							<i class="icofont icofont-key" style='margin-top:-15px !important'></i>&nbsp;Alterar senha de acesso
							<a class="heading-elements-toggle"><i class="fa fa-ellipsis-v font-medium-3"></i></a>
							<div class="heading-elements">
								<ul class="list-inline mb-0" style="margin-top: -12px; color: #fff;">
									<li>
										<a data-action="collapse"><i class="ft-minus"></i></a>
									</li>
									<li>
										<a data-action="expand"><i class="ft-maximize"></i></a>
									</li>
								</ul>
							</div>
						</div>
						<div class="card-content collapse show">
							<div class="card-body">
								<form class="form">
									<div class="form-body">
										<h4 class="form-section"><i class="icofont icofont-info-square"></i> <b>Informações para alteração da senha</b></h4>
										<div class="row">
											<div class="col-md-3">
												<div class="form-group">
													<label for="alteracaoSenhaAtual">Senha atual:</label>
													<input type="password" id="alteracaoSenhaAtual" class="form-control text-center" autofocus>
													<input type="hidden" id="idProfissionalLogado" class="form-control text-center" value="<?php echo $usuarioLogado; ?>">
												</div>
											</div>
											<div class="col-md-3">
												<div class="form-group">
													<label for="alteracaoSenhaNova">Nova senha:</label>
													<input type="password" id="alteracaoSenhaNova" class="form-control text-center">
												</div>
											</div>
											<div class="col-md-3">
												<div class="form-group">
													<label for="alteracaoConfirmaSenhaNova">Confirmar nova senha:</label>
													<input type="password" id="alteracaoConfirmaSenhaNova" class="form-control text-center">
												</div>
											</div>
											<div class="col-md-2">
												<div class="form-group">
													<table style="width:100%">
														<tr>
															<td style="width:130px; padding-top:26px">
																<button type="button" class="btn btn-success" onClick="confirmaAlteracaoSenha()">
																	<i class="fa fa-check-square-o"></i> Confirmar
																</button>
															</td>
														</tr>
													</table>
												</div>
											</div>
										</div>
								</form>
							</div>
						</div>
					</div>
				</div>
		</section>
	</div>
</div>

<?php
include_once("footer.php");
?>
<script src="../app-assets/vendors/js/forms/extended/inputmask/jquery.inputmask.bundle.min.js"></script>
<script src="../app-assets/js/scripts/forms/extended/form-inputmask.min.js"></script>
<script src="../app-assets/vendors/js/tables/datatable/datatables.min.js"></script>
<script src="../app-assets/js/scripts/tables/datatables/datatable-basic.min.js"></script>
<script src="../app-assets/js/scripts/ui/jquery-ui/buttons-selects.min.js"></script>

<script>
	$("#liAlterarSenha").attr('class', 'active');
	$("#liAlterarSenha").css("border-bottom", "2px solid #c4c8ca");

	function confirmaAlteracaoSenha() {

		var senhaAtual = $("#alteracaoSenhaAtual").val();
		var novaSenha = $("#alteracaoSenhaNova").val();
		var confirmaSenha = $("#alteracaoConfirmaSenhaNova").val();

		if (senhaAtual == "" || novaSenha == "" || confirmaSenha == "") {
			swal("Dados Obrigatórios","Você deve informar a senha atual, a nova senha e a confirmação para realizar alteração da senha.","error");
			return false;
		} else if (novaSenha != confirmaSenha) {
			swal("Confirmação de Senha","A nova senha e a confirmação da nova senha estão diferentes.","error");
			return false;
		}
		$("#embacado").css("display", "block");
		$.ajax({
			url: 'action/alterar_senha',
			type: 'post',
			dataType: 'html',
			data: {
				'opcaoSenha': 'alteracao_senha',
				'idRegistroAlteracao': $("#idProfissionalLogado").val(),
				'senhaAtual': senhaAtual,
				'novaSenha': novaSenha
			}
		}).done(function(retornoResultado) {
			$("#embacado").css("display", "none");
			var resultadoRetorno	= retornoResultado.split("#");
			swal("Alteração de Senha",resultadoRetorno[0],resultadoRetorno[1]);
			return false;				
		});

	}
</script>